# Generated by Django 3.2 on 2024-03-12 07:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tbase_post', '0004_auto_20240312_0735'),
    ]

    operations = [
        migrations.CreateModel(
            name='Prompt',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField()),
                ('prompt_text', models.TextField(verbose_name='提示文本')),
                ('templ', models.TextField(default='\n            <h1>{{ title }}</h1>\n            <p>{{ description }}</p>\n            <p>{{ prompt_text }}</p>\n        ', help_text='\n            模板文件可以使用 Jinja2 语法编写。\n\n            以下是一个示例模板：\n\n            ```\n            <h1>{{ title }}</h1>\n            <p>{{ description }}</p>\n            ```\n\n            可以使用以下变量：\n\n            * `title`: 提示标题\n            * `description`: 提示描述\n\n            可以使用以下过滤器：\n\n            * `safe`: 将文本转义为 HTML 安全格式\n            * `truncatechars`: 截断文本\n        ', verbose_name='模板文件')),
            ],
        ),
        migrations.CreateModel(
            name='PromptTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='PromptTaskPrompt',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveIntegerField(default=0)),
                ('prompt', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tbase_post.prompt')),
                ('prompt_task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tbase_post.prompttask')),
            ],
        ),
        migrations.AddField(
            model_name='prompttask',
            name='prompts',
            field=models.ManyToManyField(through='tbase_post.PromptTaskPrompt', to='tbase_post.Prompt'),
        ),
    ]
